# Method: customers.inboundCustomerLinks.list

- [HTTP request](https://developers.google.com/ads-data-hub/reference/rest/v1/customers.inboundCustomerLinks/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ads-data-hub/reference/rest/v1/customers.inboundCustomerLinks/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/ads-data-hub/reference/rest/v1/customers.inboundCustomerLinks/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/ads-data-hub/reference/rest/v1/customers.inboundCustomerLinks/list#body.request_body)
- [Response body](https://developers.google.com/ads-data-hub/reference/rest/v1/customers.inboundCustomerLinks/list#body.response_body)
- [Authorization scopes](https://developers.google.com/ads-data-hub/reference/rest/v1/customers.inboundCustomerLinks/list#body.aspect)

Lists links where another Ads Data Hub customer has granted access to the specified customer. Both direct and indirect (propagated through management) links are included.

### HTTP request

`GET https://adsdatahub.googleapis.com/v1/{parent=customers/*}/inboundCustomerLinks`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Parent customer resource name, e.g. 'customers/123'. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Maximum number of items to return. If 0, the server will determine the number of linked customers to return. |
| `pageToken` | `string` Page token, returned by a previous call, used to request the next page of results, if any. |
| `filter` | `string` Filters your response. Works using the following fields / formatting: name="customers/1/outboundCustomerLinks/3141" customerId="314159" displayName="Some account" status="REJECTED" updateTime.seconds\>unix_time |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/ads-data-hub/reference/rest/v1/ListCustomerLinksResponse`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/adsdatahub`